<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sentiment Analysis Interface</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #c75050;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 400px;
            text-align: center;
        }
        h1 {
            color: #333;
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-weight: bold;
        }
        input[type="text"] {
            width: calc(100% - 22px);
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #000000;
            border-radius: 5px;
        }
        button {
            padding: 10px 20px;
            background-color: #007BFF;
            color: #fff;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
        }
        button:hover {
            background-color: #0056b3;
        }
        pre {
            background-color: #b9b6b6;
            padding: 10px;
            border-radius: 5px;
            text-align: left;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Analista de textos</h1>
        <form id="sentimentForm">
            <label for="phrase">Ingresa tu texto</label>
            <input type="text" id="phrase" name="phrase" required>
            <button type="submit">Calificar</button>
        </form>
        <h2>Resultado:</h2>
        <pre id="classification"></pre>
    </div>

    <script>
        document.getElementById('sentimentForm').addEventListener('submit', async function(event) {
            event.preventDefault();
            const phrase = document.getElementById('phrase').value;
            const response = await fetch(`http://127.0.0.1:3080/Prototipo%206?phrase=${encodeURIComponent(phrase)}`);
            const data = await response.json();
            document.getElementById("classification").textContent = JSON.stringify(data, null, 2);
        });
    </script>
</body>
</html>